
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.lightMode{  /*Body class*/
height: 100vh;
background-color: #ffffff;
}

.darkMode{  /*Body class*/
    height: 100vh;
    background-color: #1D2129
    }


html {
    font-size: 15px;
    font-family: 'DM Serif Display', serif;
}

li {
    list-style: none;
}

a {
    text-decoration: none;
}

.header{
    background-color: rgb(225, 252, 224);
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.7rem 1.5rem;
}

/*----hamburger styles----*/
.hamburger {
    display: none;
}

.bar {
    display: block;
    width: 25px;
    height: 3px;
    margin: 5px auto;
    -webkit-transition: all 0.3s ease-in-out;
    transition: all 0.3s ease-in-out;
    background-color:rgb(54,187,46);
}


/*------ styles for other elements-----*/
.nav-menu {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav-item {
    margin-left: 5rem;
}

.nav-link{
    font-size: 1.6rem;
    font-weight: 400;
    color:rgb(54,187,46); 
}

.nav-link:hover{
    color: #9f55fb; 

}

.nav-logo {
    font-size: 2rem;
    font-weight:bolder;
    color:rgb(54,187,46);
}


/*--------------------------iPad----------------------------*/
/*------------------------------------------------------------*/
@media only screen and (max-width: 768px) {
    .nav-menu {
        position: fixed;
        left: -100%;
        top: 5rem;
        flex-direction: column;
        background-color: #fff;
        width: 100%;
        border-radius: 10px;
        text-align: center;
        transition: 0.3s;
        box-shadow:
            0 10px 27px rgba(0, 0, 0, 0.05);
    }

    .nav-menu.active {
        left: 0;
    }

    .nav-item {
        margin: 0.5rem 0;
    }

    .hamburger {
        display: block;
        cursor: pointer;
    }
}

h1{
    color:rgb(54,187,46);
    font-weight: lighter;
    text-align: center;
    text-align: center;
    text-decoration: none;
    font-size: 70px;
    padding-bottom: 6px;
    padding-top: 12px;
    padding-left: 20px;
    padding-right: 20px;

}

h2{
    color: #9f55fb; 
    font-weight: lighter;
    text-align: center;
    text-align: center;
    text-decoration: none;
    font-size: 50px;
    padding-bottom: 20px;
    padding-left: 20px;
    padding-right: 20px;

}



.leafContainer{
    text-align: center;
    text-align: center;
}

/*--------------footer--------------*/

.footer {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    background-color: rgb(225, 252, 224);
    text-align: center;
    color:#9f55fb; 
    text-align: center;
    text-decoration: none;
    font-size: 15px;
    font-family: 'DM Serif Display', serif;
    padding-top: 20px; /*the light green footer will expend to the top*/
 }

/*---------SOCIAL MEDIA ICONS----------*/
    .fa {
      padding: 17px;
      font-size: 50px;
      width: 20px;
      text-align: center;
      text-decoration: none;}

    
    .fa:hover {
        opacity: 0.7;}
    
    .fa-facebook {
       color:#9f55fb; 
    }
    
    .fa-twitter {
     color: #9f55fb; ;
    }
    
    .fa-instagram {
    color:#9f55fb;
}

/*--------------------------Mobile----------------------------*/
/*------------------------------------------------------------*/
    @media only screen and (max-width: 600px) {


            .fa {
                padding: 17px;
                font-size: 50px;
                width: 1px;
                text-align: center;
                text-decoration: none;}

                h1{
                    color:rgb(54,187,46);
                    font-weight: lighter;
                    text-align: center;
                    text-align: center;
                    text-decoration: none;
                    font-size: 50px;
                    padding-bottom: 10px;
                    padding-left: 20px;
                    padding-right: 20px;
                }


                h2{
                    color: #9f55fb; 
                    font-weight: lighter;
                    text-align: center;
                    text-align: center;
                   text-decoration: none;
                   font-size: 25px;
                   padding-bottom: 10px;
                   padding-left: 20px;
                   padding-bottom: 20px;
                
                }

                .footer {
                    position: fixed;
                    left: 0;
                    bottom: 0;
                    width: 100%;
                    background-color: rgb(225, 252, 224);
                    text-align: center;
                    color:#9f55fb; 
                    text-align: center;
                    text-decoration: none;
                    font-size: 13px;
                    font-family: 'DM Serif Display', serif;
                    padding-top: 20px; /*the light green footer will expend to the top*/
                    padding-left: 30px;
                    padding-right: 30px;
                 } 
        }

/*----------------------------------BUTTON-------------------------------------------*/
/*-----------------------------------------------------------------------------------*/
 .theButton{
    
    display: flex; /*sets the button in the middel, instead of left*/
    align-items: center;  /*sets the button in the middel, instead of middle-left*/
    justify-content: center; /*sets the button in the middel, instead of middle-top*/
    flex-direction: column;
    padding-bottom: 10px;
}

/*The long grey part of the button*/
label{
    position: relative; /*joins the small sircal and its background together*/
    width: 120px; /*the length of the grey button background*/
    height: 45px; /*the width of the grey button background*/
    display: block;
    background:  rgb(228, 243, 227);/*background of the button*/
    border-radius: 100px; /*makes the adges round*/
    cursor: pointer;
    box-shadow: inset 0px 5px 15px rgba(0,0,0,0.3), inset 0px -5px rgba(255,255,255,0.3) ;
    
}

label:after{
    content: '';
    position: absolute;
    height:40px;
    width: 40px;
    background: rgb(225, 252, 224); /*colour of the small button inside*/
    border-radius: 100px;
    top: 3px;
    left: 3px; 
    box-shadow: 0 5px 10px rgba(0,0,0,0.3);
    transition: 0.4s;
}

input:checked ~ label:after{
    left: 118px; /*the lenght whereb the round button goes when pressed */
    transform: translateX(-100%);
    background: linear-gradient(180deg, #777, #3a3a3a);
}

input:checked ~ label {
    background: #242424;

}

/*****/
input:checked + label + .background{
    background:  #364b1d; /*colour of the dark background*/
    height: 100vh;
}

input{
    display: none;
}
/*-----------------------------------------------------------------------------------*/
/*-----------------------------------------------------------------------------------*/



